| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::Presence Class Reference
Wrapper classes

The Presence class represents a Telepathy simple presence. More...

`#include <TelepathyQt/Presence>`

## Public Member Functions

| Presence ()
| Presence (const SimplePresence &sp)
| Presence (ConnectionPresenceType type, const QString &status, const QString &statusMessage)
| Presence (const Presence &other)
| ~Presence ()
bool | isValid () const
Presence & | operator= (const Presence &other)
bool | operator== (const Presence &other) const
bool | operator!= (const Presence &other) const
ConnectionPresenceType | type () const
QString | status () const
QString | statusMessage () const
void | setStatus (const SimplePresence &value)
void | setStatus (ConnectionPresenceType type, const QString &status, const QString &statusMessage)
void | setStatusMessage (const QString &statusMessage)
SimplePresence | barePresence () const

## Static Public Member Functions

static Presence | available (const QString &statusMessage=QString())
static Presence | chat (const QString &statusMessage=QString())
static Presence | away (const QString &statusMessage=QString())
static Presence | brb (const QString &statusMessage=QString())
static Presence | busy (const QString &statusMessage=QString())
static Presence | dnd (const QString &statusMessage=QString())
static Presence | xa (const QString &statusMessage=QString())
static Presence | hidden (const QString &statusMessage=QString())
static Presence | offline (const QString &statusMessage=QString())

## Detailed Description

The Presence class represents a Telepathy simple presence.

## Constructor & Destructor Documentation

## § Presence() [1/4]

Tp::Presence::Presence | ( |  | ) |

## § Presence() [2/4]

Tp::Presence::Presence | ( | const SimplePresence & | sp | ) |

## § Presence() [3/4]

Tp::Presence::Presence | ( | ConnectionPresenceType | type,
|  | const QString & | status,
|  | const QString & | statusMessage
| ) |  |

## § Presence() [4/4]

Tp::Presence::Presence | ( | const Presence & | other | ) |

## § ~Presence()

Tp::Presence::~Presence | ( |  | ) |

## Member Function Documentation

## § available()

Presence Tp::Presence::available | ( | const QString & | statusMessage = `QString()` | ) |

static

## § chat()

Presence Tp::Presence::chat | ( | const QString & | statusMessage = `QString()` | ) |

static

## § away()

Presence Tp::Presence::away | ( | const QString & | statusMessage = `QString()` | ) |

static

## § brb()

Presence Tp::Presence::brb | ( | const QString & | statusMessage = `QString()` | ) |

static

## § busy()

Presence Tp::Presence::busy | ( | const QString & | statusMessage = `QString()` | ) |

static

## § dnd()

Presence Tp::Presence::dnd | ( | const QString & | statusMessage = `QString()` | ) |

static

## § xa()

Presence Tp::Presence::xa | ( | const QString & | statusMessage = `QString()` | ) |

static

## § hidden()

Presence Tp::Presence::hidden | ( | const QString & | statusMessage = `QString()` | ) |

static

## § offline()

Presence Tp::Presence::offline | ( | const QString & | statusMessage = `QString()` | ) |

static

## § isValid()

bool Tp::Presence::isValid | ( |  | ) | const

inline

## § operator=()

Presence & Tp::Presence::operator= | ( | const Presence & | other | ) |

## § operator==()

bool Tp::Presence::operator== | ( | const Presence & | other | ) | const

## § operator!=()

bool Tp::Presence::operator!= | ( | const Presence & | other | ) | const

## § type()

ConnectionPresenceType Tp::Presence::type | ( |  | ) | const

## § status()

QString Tp::Presence::status | ( |  | ) | const

## § statusMessage()

QString Tp::Presence::statusMessage | ( |  | ) | const

## § setStatus() [1/2]

void Tp::Presence::setStatus | ( | const SimplePresence & | value | ) |

## § setStatus() [2/2]

void Tp::Presence::setStatus | ( | ConnectionPresenceType | type,
|  | const QString & | status,
|  | const QString & | statusMessage
| ) |  |

## § setStatusMessage()

void Tp::Presence::setStatusMessage | ( | const QString & | statusMessage | ) |

## § barePresence()

SimplePresence Tp::Presence::barePresence | ( |  | ) | const